import "./tasks/CallableLoci.wdl" as CallableLoci
import "./tasks/mergeBed.wdl" as mergeBed
import "./tasks/bedVote.wdl" as bedVote


workflow {{ project_name }} {

	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File ref_dir
	String fasta
	String sample
	String disk_size
	String cluster_config
	
	scatter (sample in inputSamples){
		call CallableLoci.CallableLoci as CallableLoci {
			input: 
			bam=sample[0],
			bam_index=sample[1],
			ref_dir=ref_dir,
			fasta=fasta,
			sample=sample,
			disk_size=disk_size,
			cluster_config=cluster_config
		}
	}

	call mergeBed.mergeBed as mergeBed {
		input:
		callable_bed=CallableLoci.callable_bed,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call bedVote.bedVote as bedVote {
		input:
		merged_bed=mergeBed.merged_bed,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}

